import { transform } from 'buble'

export default function breadboardBabelTransform(source, filename) {
  let transformed

  try {
    const output = transform(source, {
      // Set the input filename for the source map
      source: 'breadboard://'+filename,
    })

    output.map.sources[0] = 'breadboard://'+filename

    transformed = output.code
    transformed += '\n//# sourceMappingURL='+output.map.toUrl()
    transformed += '\n//# sourceURL=breadboard://'+filename
  }
  catch (e) {
    return e
  }

  return transformed
}